const put = (key, val, time = 3600) => {
  key = 'CACHE_' + key;
  if (time > 0) {
    let timestamp = Date.now();
    timestamp = timestamp / 1000 + time;
    const data = {
      data: val,
      time: timestamp
    }
    wx.setStorageSync(key, data);
  } else {
    wx.removeStorageSync(key);
  }
}

const get = (key) => {
  key = 'CACHE_' + key;
  const data = wx.getStorageSync(key);
  if (data && data.time) {
    if (data.time < (Date.now() / 1000)) {
      wx.removeStorageSync(key);
      return '';
    } else {
      return data.data;
    }
  } else {
    return '';
  }
}

export default {
  put,
  get
};
